package cn.teammodel.service;

import cn.teammodel.model.dto.ai.UpdateSessionDto;
import cn.teammodel.model.entity.ai.ChatSession;

import java.util.List;

/**
 * @author winter
 * @create 2023-12-19 15:30
 */
public interface ChatSessionService {

    String createSession(String userId, String name);

    List<ChatSession> listMySession(String userId);

    ChatSession updateSession(UpdateSessionDto updateSessionDto, String userId);

    void deleteSession(String id, String userId);

    List<ChatSession.Message> listHistory(String sessionId, String userId);
}
